import '../index.less';
import React, { useContext } from 'react';
import classNames from 'classnames';
import DiffContext from '../Context';
import { RenderLabel, RenderContent } from '../Content';
import { getPathNameData } from '../valueUtil';

var IteratorValue = function IteratorValue(values) {
  if (values.length === 0) {
    return '-';
  }

  return values.map(function (value, index) {
    if (Array.isArray(value)) {
      return IteratorValue(value);
    }

    return (// eslint-disable-next-line react/no-array-index-key
      React.createElement("span", {
        className: classNames('space'),
        key: "".concat(value).concat(index)
      }, value)
    );
  });
};

var Input = function Input(props) {
  var _useContext = useContext(DiffContext),
      before = _useContext.before,
      after = _useContext.after;

  var label = props.label,
      name = props.name,
      propsClassName = props.className;

  var _getPathNameData = getPathNameData(before, after, name),
      isSame = _getPathNameData.isSame,
      beforeValue = _getPathNameData.beforeValue,
      afterValue = _getPathNameData.afterValue;

  return React.createElement("div", {
    className: classNames('space-divide', propsClassName)
  }, React.createElement(RenderLabel, {
    isSame: isSame,
    label: label
  }), React.createElement(RenderContent, {
    isSame: isSame,
    beforeNode: IteratorValue(beforeValue),
    afterNode: IteratorValue(afterValue)
  }));
};

export default Input;